Bug 832524 - Review Request: crrcsim - Model-Airplane Flight Simulation Program
Review Request: crrcsim - Model-Airplane Flight Simulation Program
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 839740
  Show dependency treegraph
 
Reported: 2012-06-15 12:20 EDT by Damian Wrobel
Modified: 2013-02-09 23:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-09 23:29:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mlichvar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Damian Wrobel 2012-06-15 12:20:21 EDT
Spec URL: http://dwrobel.fedorapeople.org/projects/rpmbuild/SPECS/crrcsim.spec
SRPM URL: http://dwrobel.fedorapeople.org/projects/rpmbuild/SRPMS/crrcsim-0.9.12-1.fc16.src.rpm
Description: Crrcsim is a model-airplane flight simulation program.
Using it, you can learn how to fly model aircraft, test new aircraft designs,
and improve your skills by practicing on your computer.

The flight model is very realistic.
The flight model parameters are calculated based on a 3D representation
of the aircraft. Stalls are properly modeled as well.
Model control is possible with your own RC transmitter, or any input device
such as joystick, mouse, keyboard.

Fedora Account System Username: dwrobel

rpmlint: crrcsim.i686: E: incorrect-fsf-address /usr/share/doc/crrcsim-0.9.12/COPYING
2 packages and 1 specfiles checked; 1 errors, 0 warnings.
Comment 1 Miroslav Lichvar 2013-01-28 13:54:22 EST
The package looks good, I see only two minor issues with the -doc subpackage. 

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[-]: Fully versioned dependency in subpackages, if present.
[!]: Package complies to the Packaging Guidelines
     -doc doesn't depend on the base package (e.g. Requires: %{name}%{?_isa} = %{version}-%{release})
     Also, please make -doc noarch.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     GPLv2
[!]: License file installed when any subpackage combination is installed.
     The dependency in -doc on the base package will fix this.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[-]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
     The timestamps of the files in /usr/share are not preserved, but I don't think fixing it is worth the effort.
[x]: Spec use %global instead of %define.


Rpmlint
-------
crrcsim.x86_64: E: incorrect-fsf-address /usr/share/doc/crrcsim-0.9.12/COPYING
crrcsim-doc.x86_64: E: incorrect-fsf-address /usr/share/doc/crrcsim/input_method/PARALLEL_1_to_3/crrcsim_at90s1200.asm
Comment 2 Damian Wrobel 2013-01-28 14:35:06 EST
Miroslav, thanks for the review.

(In reply to comment #1)
> The package looks good, I see only two minor issues with the -doc
> subpackage. 
>
> 
> Rpmlint
> -------
> crrcsim.x86_64: E: incorrect-fsf-address
> /usr/share/doc/crrcsim-0.9.12/COPYING
> crrcsim-doc.x86_64: E: incorrect-fsf-address
> /usr/share/doc/crrcsim/input_method/PARALLEL_1_to_3/crrcsim_at90s1200.asm

I know about it, but based on an opinion from a different issue e.g. bug 700095, comment 1 it seems to be false positive.
Comment 3 Miroslav Lichvar 2013-01-29 03:46:11 EST
The FSF address should be updated too, but that's upstream's job.

Please add the dependency to -doc and make it noarch and I think the package can be approved. Thanks.
Comment 5 Miroslav Lichvar 2013-01-29 09:19:56 EST
Looks good. Approved.
Comment 6 Damian Wrobel 2013-01-29 11:35:57 EST
New Package SCM Request
=======================
Package Name: crrcsim
Short Description: Model-Airplane Flight Simulation Program
Owners: dwrobel
Branches: f17 f18
InitialCC:
Comment 7 Gwyn Ciesla 2013-01-29 11:44:09 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-01-29 12:31:00 EST
crrcsim-0.9.12-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/crrcsim-0.9.12-2.fc18
Comment 9 Fedora Update System 2013-01-29 12:31:15 EST
crrcsim-0.9.12-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/crrcsim-0.9.12-2.fc17
Comment 10 Fedora Update System 2013-02-01 11:46:49 EST
crrcsim-0.9.12-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 Fedora Update System 2013-02-09 23:29:56 EST
crrcsim-0.9.12-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 12 Fedora Update System 2013-02-09 23:40:26 EST
crrcsim-0.9.12-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.